package telinc.telicraft.api.event.entity.meteor;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

import telinc.telicraft.entity.item.EntityMinecartMeteorBomb;

/**
 * Called right before a Minecart with Meteor Bomb ignites it self. Cancel to prevent it from igniting.
 */
@Cancelable
public class MeteorCartIgniteEvent extends Event {
    /** The Minecart with Meteor Bomb. Use func_94104_d() to get its fuse. */
    public final EntityMinecartMeteorBomb entity;
    
    /** The X, Y and Z coordinates of the Minecart with Meteor Bomb. */
    public final double x, y, z;
    
    public MeteorCartIgniteEvent(EntityMinecartMeteorBomb entity, double x, double y, double z) {
        this.entity = entity;
        this.x = x;
        this.y = y;
        this.z = z;
    }
}