package telinc.telicraft.api.event.item;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

import telinc.telicraft.api.TelicraftAPI;
import telinc.telicraft.entity.EntityPetrify;

/**
 * Called right before the Direct Petrifying Potion sets a block to stone. Cancel to prevent it from doing that.
 * Modders should not use this event to disallow the potion to petrify their block. Instead, use {@link TelicraftAPI}.
 */
@Cancelable
public class PetrifyBlockEvent extends Event {
    /**
     * The EntityPetrify instance.
     */
    public final EntityPetrify potion;
    
    /**
     * The block that is about to be petrified.
     */
    public final int blockID;
    
    /**
     * The X, Y and Z coordinates.
     */
    public final int x, y, z;
    
    public PetrifyBlockEvent(EntityPetrify entity, int block, int x, int y, int z){
        this.potion = entity;
        this.blockID = block;
        this.x = x;
        this.y = y;
        this.z = z;
    }
}