package telinc.telicraft.api.event.item;

import net.minecraft.entity.EntityLiving;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

import telinc.telicraft.entity.EntityPetrify;

/**
 * Called right when an entity is hit by the Direct Perifying Potion. Cancel the event to prevent any processing.
 */
@Cancelable
public class PetrifyEntityEvent extends Event {
    /**
     * The EntityPetrify that hit the victim.
     */
    public final EntityPetrify potion;
    
    /**
     * The victim.
     */
    public final EntityLiving victim;
    
    public PetrifyEntityEvent(EntityPetrify petrify, EntityLiving entity){
        this.potion = petrify;
        this.victim = entity;
    }
}